# Name

cmake

# Category

Build Tool

# Description

Enables using cmake as the build tool. This plug-in has a dependency on the `make` plug-in.

# Environment Variables

None

# Options

Option | Notes
--- | ---
`--cmake-build-dir=<path>` | Relative to each module, the location of the build directory to use for storing built output
`--cmake-cmd=<cmd>` | Location of `cmake`'s executable, if it is not on the path
`--cmake-root-build=<bool>` | Enable/Disable module support if multiple CMakeLists.txt's are found

# Docker Notes

None

# Developer Notes

There are two variables that personalities should probably set that correspond to two of the options above:

Variable | Option Equivalent
--- | ---
CMAKE_BUILD_DIR | `--cmake-build-dir=<path>`
CMAKE_ROOT_BUILD | `--cmake-root-build=<bool>`

See build tools for more information.